# Class CoverageContentType

Object
CodeList<CoverageContentType>
CoverageContentType

All Implemented Interfaces:
  `Serializable, Comparable<CoverageContentType>`

@UML(identifier="MD_CoverageContentTypeCode", specification=ISO_19115) public final class CoverageContentType extends CodeList<CoverageContentType>
Specific type of information represented in the cell.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CoverageContentType`
  `IMAGE`
  Meaningful numerical representation of a physical parameter that is not the actual value of the physical parameter.
  `static final CoverageContentType`
  `PHYSICAL_MEASUREMENT`
  Value in physical units of the quantity being measured.
  `static final CoverageContentType`
  `THEMATIC_CLASSIFICATION`
  Code value with no quantitative meaning, used to represent a physical quantity.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CoverageContentType[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static CoverageContentType`
  `valueOf(String code)`
  Returns the coverage content type that matches the given string, or returns a new one if none match it.
  `static CoverageContentType[]`
  `values()`
  Returns the list of `CoverageContentType`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### IMAGE

    @UML(identifier="image", obligation=CONDITIONAL, specification=ISO_19115) public static final CoverageContentType IMAGE
    Meaningful numerical representation of a physical parameter that is not the actual value of the physical parameter.

  - ### THEMATIC_CLASSIFICATION

    @UML(identifier="thematicClassification", obligation=CONDITIONAL, specification=ISO_19115) public static final CoverageContentType THEMATIC_CLASSIFICATION
    Code value with no quantitative meaning, used to represent a physical quantity.

  - ### PHYSICAL_MEASUREMENT

    @UML(identifier="physicalMeasurement", obligation=CONDITIONAL, specification=ISO_19115) public static final CoverageContentType PHYSICAL_MEASUREMENT
    Value in physical units of the quantity being measured.

- ## Method Details

  - ### values

    public static CoverageContentType[] values()
    Returns the list of `CoverageContentType`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public CoverageContentType[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<CoverageContentType>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static CoverageContentType valueOf(String code)
    Returns the coverage content type that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.